package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface ProcessRepository: AbstractRepository<Process, Long> {
    fun findByCodeAndDeletedIsFalse(code: String): Process?
    fun findByNameAndDeletedIsFalse(name: String): Process?
    fun findAllByDeletedFalse(): List<Process>
}